io.vertx.rxjava.ext.asyncsql

## Class MySQLClient

- java.lang.Object
- - io.vertx.rxjava.ext.sql.SQLClient
  - - io.vertx.rxjava.ext.asyncsql.AsyncSQLClient
    - - io.vertx.rxjava.ext.asyncsql.MySQLClient

- All Implemented Interfaces:
    SQLOperations

      public class MySQLClient
      extends AsyncSQLClient

  Represents an asynchronous MySQL client

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MySQLClient>` | `__TYPE_ARG`
    `static String` | `DEFAULT_CHARSET` The default charset.
    `static long` | `DEFAULT_CONNECT_TIMEOUT` The default timeout for connect.
    `static String` | `DEFAULT_DATABASE` The default database.
    `static String` | `DEFAULT_HOST` The default host.
    `static String` | `DEFAULT_PASSWORD` The default database password.
    `static String` | `DEFAULT_POOL_NAME` The default name used for the MySQL pool.
    `static int` | `DEFAULT_PORT` The default port.
    `static long` | `DEFAULT_TEST_TIMEOUT` The default timeout for tests.
    `static String` | `DEFAULT_USER` The default database user.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MySQLClient(MySQLClient delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AsyncSQLClient` | `createNonShared(Vertx vertx, JsonObject config)` Create a MySQL client which maintains its own pool.
    `static AsyncSQLClient` | `createShared(Vertx vertx, JsonObject config)` Like `createShared(io.vertx.rxjava.core.Vertx, io.vertx.core.json.JsonObject, java.lang.String)` but with the default pool name
    `static AsyncSQLClient` | `createShared(Vertx vertx, JsonObject config, String poolName)` Create a MySQL client which shares its data source with any other MySQL clients created with the same data source name
    `boolean` | `equals(Object o)`
    `MySQLClient` | `getDelegate()`
    `int` | `hashCode()`
    `static MySQLClient` | `newInstance(MySQLClient arg)`
    `SQLOperations` | `querySingle(String sql, Handler<AsyncResult<JsonArray>> handler)` Execute a one shot SQL statement that returns a single SQL row.
    `Observable<JsonArray>` | `querySingleObservable(String sql)` Deprecated. use `rxQuerySingle(java.lang.String)` instead
    `SQLOperations` | `querySingleWithParams(String sql, JsonArray arguments, Handler<AsyncResult<JsonArray>> handler)` Execute a one shot SQL statement with arguments that returns a single SQL row.
    `Observable<JsonArray>` | `querySingleWithParamsObservable(String sql, JsonArray arguments)` Deprecated. use `rxQuerySingleWithParams(java.lang.String, io.vertx.core.json.JsonArray)` instead
    `Single<JsonArray>` | `rxQuerySingle(String sql)` Execute a one shot SQL statement that returns a single SQL row.
    `Single<JsonArray>` | `rxQuerySingleWithParams(String sql, JsonArray arguments)` Execute a one shot SQL statement with arguments that returns a single SQL row.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.ext.asyncsql.AsyncSQLClient

      `newInstance`

    - ### Methods inherited from class io.vertx.rxjava.ext.sql.SQLClient

      `call, callObservable, callWithParams, callWithParamsObservable, close, close, closeObservable, getConnection, getConnectionObservable, newInstance, query, queryObservable, queryStream, queryStreamObservable, queryStreamWithParams, queryStreamWithParamsObservable, queryWithParams, queryWithParamsObservable, rxCall, rxCallWithParams, rxClose, rxGetConnection, rxQuery, rxQueryStream, rxQueryStreamWithParams, rxQueryWithParams, rxUpdate, rxUpdateWithParams, update, updateObservable, updateWithParams, updateWithParamsObservable`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.ext.sql.SQLOperations

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MySQLClient> __TYPE_ARG

    - #### DEFAULT_POOL_NAME

          public static final String DEFAULT_POOL_NAME

      The default name used for the MySQL pool.
      See Also:
        Constant Field Values

    - #### DEFAULT_HOST

          public static final String DEFAULT_HOST

      The default host.
      See Also:
        Constant Field Values

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      The default port.
      See Also:
        Constant Field Values

    - #### DEFAULT_DATABASE

          public static final String DEFAULT_DATABASE

      The default database.
      See Also:
        Constant Field Values

    - #### DEFAULT_USER

          public static final String DEFAULT_USER

      The default database user.
      See Also:
        Constant Field Values

    - #### DEFAULT_PASSWORD

          public static final String DEFAULT_PASSWORD

      The default database password.
      See Also:
        Constant Field Values

    - #### DEFAULT_CHARSET

          public static final String DEFAULT_CHARSET

      The default charset.
      See Also:
        Constant Field Values

    - #### DEFAULT_CONNECT_TIMEOUT

          public static final long DEFAULT_CONNECT_TIMEOUT

      The default timeout for connect.
      See Also:
        Constant Field Values

    - #### DEFAULT_TEST_TIMEOUT

          public static final long DEFAULT_TEST_TIMEOUT

      The default timeout for tests.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MySQLClient

          public MySQLClient(MySQLClient delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AsyncSQLClient`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AsyncSQLClient`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AsyncSQLClient`

    - #### getDelegate

          public MySQLClient getDelegate()

      Specified by:
        `getDelegate` in interface `SQLOperations`
      Overrides:
        `getDelegate` in class `AsyncSQLClient`

    - #### querySingle

          public SQLOperations querySingle(String sql,
                                           Handler<AsyncResult<JsonArray>> handler)

      Execute a one shot SQL statement that returns a single SQL row. This method will reduce the boilerplate code by getting a connection from the pool (this object) and return it back after the execution. Only the first result from the result set is returned.
      Specified by:
        `querySingle` in interface `SQLOperations`
      Overrides:
        `querySingle` in class `AsyncSQLClient`
      Parameters:
        `sql` - the statement to execute
        `handler` - the result handler
      Returns:
        self

    - #### querySingleObservable

          @Deprecated
          public Observable<JsonArray> querySingleObservable(String sql)

      Deprecated. use `rxQuerySingle(java.lang.String)` instead
      Execute a one shot SQL statement that returns a single SQL row. This method will reduce the boilerplate code by getting a connection from the pool (this object) and return it back after the execution. Only the first result from the result set is returned.
      Overrides:
        `querySingleObservable` in class `AsyncSQLClient`
      Parameters:
        `sql` - the statement to execute
      Returns:
        self

    - #### rxQuerySingle

          public Single<JsonArray> rxQuerySingle(String sql)

      Execute a one shot SQL statement that returns a single SQL row. This method will reduce the boilerplate code by getting a connection from the pool (this object) and return it back after the execution. Only the first result from the result set is returned.
      Overrides:
        `rxQuerySingle` in class `AsyncSQLClient`
      Parameters:
        `sql` - the statement to execute
      Returns:
        self

    - #### querySingleWithParams

          public SQLOperations querySingleWithParams(String sql,
                                                     JsonArray arguments,
                                                     Handler<AsyncResult<JsonArray>> handler)

      Execute a one shot SQL statement with arguments that returns a single SQL row. This method will reduce the boilerplate code by getting a connection from the pool (this object) and return it back after the execution. Only the first result from the result set is returned.
      Specified by:
        `querySingleWithParams` in interface `SQLOperations`
      Overrides:
        `querySingleWithParams` in class `AsyncSQLClient`
      Parameters:
        `sql` - the statement to execute
        `arguments` - the arguments
        `handler` - the result handler
      Returns:
        self

    - #### querySingleWithParamsObservable

          @Deprecated
          public Observable<JsonArray> querySingleWithParamsObservable(String sql,
                                                                                   JsonArray arguments)

      Deprecated. use `rxQuerySingleWithParams(java.lang.String, io.vertx.core.json.JsonArray)` instead
      Execute a one shot SQL statement with arguments that returns a single SQL row. This method will reduce the boilerplate code by getting a connection from the pool (this object) and return it back after the execution. Only the first result from the result set is returned.
      Overrides:
        `querySingleWithParamsObservable` in class `AsyncSQLClient`
      Parameters:
        `sql` - the statement to execute
        `arguments` - the arguments
      Returns:
        self

    - #### rxQuerySingleWithParams

          public Single<JsonArray> rxQuerySingleWithParams(String sql,
                                                           JsonArray arguments)

      Execute a one shot SQL statement with arguments that returns a single SQL row. This method will reduce the boilerplate code by getting a connection from the pool (this object) and return it back after the execution. Only the first result from the result set is returned.
      Overrides:
        `rxQuerySingleWithParams` in class `AsyncSQLClient`
      Parameters:
        `sql` - the statement to execute
        `arguments` - the arguments
      Returns:
        self

    - #### createNonShared

          public static AsyncSQLClient createNonShared(Vertx vertx,
                                                       JsonObject config)

      Create a MySQL client which maintains its own pool.
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
      Returns:
        the client

    - #### createShared

          public static AsyncSQLClient createShared(Vertx vertx,
                                                    JsonObject config,
                                                    String poolName)

      Create a MySQL client which shares its data source with any other MySQL clients created with the same data source name
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
        `poolName` - the pool name
      Returns:
        the client

    - #### createShared

          public static AsyncSQLClient createShared(Vertx vertx,
                                                    JsonObject config)

      Like `createShared(io.vertx.rxjava.core.Vertx, io.vertx.core.json.JsonObject, java.lang.String)` but with the default pool name
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
      Returns:
        the client

    - #### newInstance

          public static MySQLClient newInstance(MySQLClient arg)

Copyright © 2018 Eclipse. All rights reserved.